## xonsh 0.3.3+dfsg

=== debian/changelog ===
xonsh (0.3.3+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #825112)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 06 Jun 2016 21:38:36 +0200

## xonsh 0.6.0+dfsg

=== Makefile ===
# Make GNU Make xonshy
SHELL=xonsh
.SHELLFLAGS=-c
.ONESHELL:
.SILENT:

# Unlike normal makefiles: executes the entire body in one go under xonsh, and doesn't echo

.PHONY: help
help:
	print("""
	Utility file for xonsh project. Try these targets:
	* amalgamate: Generate __amalgam__.py files
	* clean: Remove generated files (namely, the amalgamations)
	* xonsh/ply: Pull down most recent ply
	""")

xonsh/ply:
	git subtree pull --prefix xonsh/ply https://github.com/dabeaz/ply.git master --squash


.PHONY: clean
clean:
	find xonsh -name __amalgam__.py -delete -print

.PHONY: amalgamate
amalgamate:
	sys.path.insert(0, '.')
	import setup
	setup.amalgamate_source()
	_ = sys.path.pop(0)

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
RELEASE = v0.1

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

DOCREPONAME = xonsh-docs
DOCREPOURL  = git@github.com:scopatz/xonsh-docs.git
DOCREPOBRANCH = gh-pages

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/metasci.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/metasci.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

push-latest:
	cd $(BUILDDIR) && \
	test -d $(DOCREPONAME) || git clone $(DOCREPOURL) $(DOCREPONAME) && \
	cd $(DOCREPONAME) && \
	git pull origin $(DOCREPOBRANCH) && \
	test -d latest || mkdir latest && touch latest/_ && \
	rm -r latest/* && \
	cp -r ../html/* latest/ && \
	git add latest/ && \
	git commit -am "Pushed latest docs at $(date)" && \
	git push

push-release:
	cd $(BUILDDIR) && \
	test -d $(DOCREPONAME) || git clone $(DOCREPOURL) $(DOCREPONAME) && \
	cd $(DOCREPONAME) && \
	git pull origin $(DOCREPOBRANCH) && \
	test -d $(RELEASE) || mkdir $(RELEASE) && touch $(RELEASE)/_ && \
	rm -r $(RELEASE)/* && \
	cp -r ../html/* $(RELEASE)/ && \
	git add $(RELEASE)/ && \
	git commit -am "Pushed $(RELEASE) docs at $(date)" && \
	git push

push-root:
	cd $(BUILDDIR) && \
	test -d $(DOCREPONAME) || git clone $(DOCREPOURL) $(DOCREPONAME) && \
	cd $(DOCREPONAME) && \
	git pull origin $(DOCREPOBRANCH) && \
	rm -rf api previous _sources _static *.html *.js *.inv  && \
	cp -r ../html/* . && \
	git add . && \
	git commit -am "Pushed root-level docs at $(date)" && \
	git push

## xonsh 0.3.4+dfsg

=== debian/changelog ===
xonsh (0.3.4+dfsg-1) unstable; urgency=medium

  * New upstream release: 0.3.4

 -- Gordon Ball <gordon@chronitis.net>  Thu, 09 Jun 2016 23:01:41 +0200

=== debian/control ===
Source: xonsh
Section: shells
Priority: optional
Standards-Version: 3.9.8
Maintainer: Gordon Ball <gordon@chronitis.net>
Uploaders: Barry Warsaw <barry@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-cloud-sptheme,
               python3-docutils,
               python3-numpydoc,
               python3-ply,
               python3-setuptools,
               python3-sphinx,
               help2man
Vcs-Git: https://anonscm.debian.org/git/collab-maint/xonsh.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/xonsh.git
X-Python3-Version: >= 3.4
Homepage: http://xon.sh/

Package: xonsh
Architecture: all
Depends: python3-pkg-resources,
         python3-ply,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-prompt-toolkit (>= 1.0),
            python3-pygments,
            python3-setproctitle
Suggests: xonsh-doc
Description: Python-ish, BASHwards looking shell
 Xonsh is a Python-ish shell language and command prompt. Unlike other shells,
 xonsh is based on Python, with additional syntax added that makes calling
 subprocess commands, manipulating the environment, and dealing with the file
 system easy. Xonsh supports all normal Python constructs and a subset of
 those available in bash.

Package: xonsh-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python-ish, BASHwards looking shell (documentation)
 Xonsh is a Python-ish shell language and command prompt. Unlike other shells,
 xonsh is based on Python, with additional syntax added that makes calling
 subprocess commands, manipulating the environment, and dealing with the file
 system easy. Xonsh supports all normal Python constructs and a subset of
 those available in bash.
 .
 This package contains the documentation.

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.rst

override_dh_auto_clean:
	dh_auto_clean
	rm -f xonsh/lexer_table.py xonsh/parser_table.py
	find . -name '*.pyc' -delete

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html

override_dh_auto_install:
	dh_auto_install
	PYTHONPATH=. help2man --name "Pythonish, BASHwards looking shell" \
	         --no-info --include debian/xonsh.help2man -o debian/xonsh.1 \
	         ./debian/tmp/usr/bin/xonsh

=== debian/tests/control ===
Tests: nose
Depends: @, python3-nose, python3-prompt-toolkit, python3-pygments
Restrictions: allow-stderr

Tests: xonsh
Depends: @

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg.*$//,repacksuffix=+dfsg \
https://github.com/scopatz/xonsh/tags .*/archive/v?([\d\.]+).tar.gz

## xonsh 0.4.3+dfsg

=== debian/changelog ===
xonsh (0.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release: 0.4.3
  * Tests now use pytest instead of nose
  * Upstream provides a sh wrapper (xon.sh) which may be useful for invoking
    xonsh in some circumstances. For now this is in /usr/share/xonsh rather
    than /usr/bin.
  * The upstream git repository is now github.com/xonsh/xonsh, update the
    d/watch file accordingly.

 -- Gordon Ball <gordon@chronitis.net>  Fri, 01 Jul 2016 14:16:50 +0200

## xonsh 0.4.4+dfsg

=== debian/changelog ===
xonsh (0.4.4+dfsg-1) unstable; urgency=medium

  * New upstream release: 0.4.4
  * Added a patch to solve a build failure caused by trying to import _winapi

 -- Gordon Ball <gordon@chronitis.net>  Thu, 28 Jul 2016 14:26:58 +0200

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
 Architecture: all
 Depends: python3-pkg-resources,
          python3-ply,
+         python3-venv,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: python3-prompt-toolkit (>= 1.0),

=== debian/rules ===
--- 
+++ 
@@ -20,3 +20,5 @@
 	PYTHONPATH=. help2man --name "Pythonish, BASHwards looking shell" \
 	         --no-info --include debian/xonsh.help2man -o debian/xonsh.1 \
 	         ./debian/tmp/usr/bin/xonsh
+	mkdir -p debian/tmp/usr/share/xonsh/
+	mv debian/tmp/usr/bin/xon.sh debian/tmp/usr/share/xonsh/

## xonsh 0.4.5+dfsg

=== debian/changelog ===
xonsh (0.4.5+dfsg-1) unstable; urgency=medium

  * New upstream release: 0.4.5
  * d/patches/backport-1603.patch: PLY parser_table now included in the
    package, avoiding it needing to be re-generated on each start, which
    should speed up startup. The requisite patch is backported from
    xonsh#1603. (closes: #834948)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 23 Aug 2016 22:02:05 +0200

## xonsh 0.4.7+dfsg

=== debian/changelog ===
xonsh (0.4.7+dfsg-2) unstable; urgency=medium

  * Build-depend on jupyter-client to install xonsh's built-in jupyter kernel.
  * d/patches/jupyter-install-root.patch: fix the installer for the jupyter
    kernel not using the buildroot path.
  * d/patches/elide-cloud-sptheme.patch: build documentation without
    cloud-sptheme, due to RC bugs (closes: #844754)
  * d/patches/docs-no-imgmath.patch: this previously also removed an
    unsupported style parameter, irrelevant when not using the cloud theme

 -- Gordon Ball <gordon@chronitis.net>  Mon, 12 Dec 2016 12:10:21 -0500

xonsh (0.4.7+dfsg-1) unstable; urgency=medium

  * New upstream release: 0.4.7
  * d/rules: Explicitly set locale to C.UTF-8 in to prevent a sphinx error.

 -- Gordon Ball <gordon@chronitis.net>  Sun, 02 Oct 2016 11:23:31 +0200

xonsh (0.4.6+dfsg-1) unstable; urgency=medium

  * New upstream release: 0.4.6
  * d/patches/backport-1603.patch: retired, fixed upstream
  * d/patches/fix-winapi-docs.patch: retired, fixed upstream

 -- Gordon Ball <gordon@chronitis.net>  Fri, 02 Sep 2016 13:53:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Standards-Version: 3.9.8
 Maintainer: Gordon Ball <gordon@chronitis.net>
-Uploaders: Barry Warsaw <barry@debian.org>
+Uploaders: Barry Warsaw <barry@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
+               help2man,
                python3-all,
-               python3-cloud-sptheme,
                python3-docutils,
+               python3-jupyter-client,
                python3-numpydoc,
                python3-ply,
                python3-setuptools,
                python3-sphinx,
-               help2man
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/xonsh.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/xonsh.git
 X-Python3-Version: >= 3.4
@@ -25,11 +25,11 @@
          python3-ply,
          python3-venv,
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
 Recommends: python3-prompt-toolkit (>= 1.0),
             python3-pygments,
-            python3-setproctitle
-Suggests: xonsh-doc
+            python3-setproctitle,
+Suggests: xonsh-doc,
 Description: Python-ish, BASHwards looking shell
  Xonsh is a Python-ish shell language and command prompt. Unlike other shells,
  xonsh is based on Python, with additional syntax added that makes calling
@@ -40,7 +40,8 @@
 Package: xonsh-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Description: Python-ish, BASHwards looking shell (documentation)
  Xonsh is a Python-ish shell language and command prompt. Unlike other shells,
  xonsh is based on Python, with additional syntax added that makes calling

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
+	LC_ALL=C.UTF-8 PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-pytest, python3-prompt-toolkit, python3-pygments
Restrictions: allow-stderr

Tests: xonsh
Depends: @

## xonsh 0.5.2+dfsg

=== debian/changelog ===
xonsh (0.5.2+dfsg-1) unstable; urgency=medium

  * New upstream release: 0.5.2
  * d/patches/jupyter-install-root.patch: retired, fixed upstream
  * Documentation now registered with doc-base
  * Autopkgtests explicitly set C.UTF-8 locale
  * Replace ADTTMP with AUTOPKGTEST_TMP in autopkgtests
  * Use sphinxdoc:Built-Using for xonsh-doc
  * Test for pty availablility during autopkgtests
  * Updated d/compat to 10

 -- Gordon Ball <gordon@chronitis.net>  Mon, 09 Jan 2017 17:07:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Standards-Version: 3.9.8
 Maintainer: Gordon Ball <gordon@chronitis.net>
 Uploaders: Barry Warsaw <barry@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                help2man,
                python3-all,
@@ -42,6 +42,7 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
+Built-Using: ${sphinxdoc:Built-Using}
 Description: Python-ish, BASHwards looking shell (documentation)
  Xonsh is a Python-ish shell language and command prompt. Unlike other shells,
  xonsh is based on Python, with additional syntax added that makes calling

## xonsh 0.5.3+dfsg

=== debian/changelog ===
xonsh (0.5.3+dfsg-1) UNRELEASED; urgency=medium

  * Re-enable building documentation with cloud-sptheme, and version the
    build-dependency
  * Update docs-no-imgmath.patch to also fix URL and privacy (external font)
    issues, rename to documentation-fixes.patch
  * Remove unnecessary dependency on python3-pkg-resources
  * Backgrounding fixed upstream (closes: #851841)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 10 Jan 2017 18:13:41 +0100

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                python3-ply,
                python3-setuptools,
                python3-sphinx,
+               python3-cloud-sptheme (>= 1.8)
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/xonsh.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/xonsh.git
 X-Python3-Version: >= 3.4
@@ -21,8 +22,7 @@
 
 Package: xonsh
 Architecture: all
-Depends: python3-pkg-resources,
-         python3-ply,
+Depends: python3-ply,
          python3-venv,
          ${misc:Depends},
          ${python3:Depends},

## xonsh 0.5.9+dfsg

=== debian/changelog ===
xonsh (0.5.9+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Gordon Ball <gordon@chronitis.net>  Sat, 18 Mar 2017 15:49:16 +0100

xonsh (0.5.8+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Gordon Ball <gordon@chronitis.net>  Sun, 12 Mar 2017 22:56:02 +0100

xonsh (0.5.7+dfsg-1) unstable; urgency=medium

  * New upstream release 

 -- Gordon Ball <gordon@chronitis.net>  Fri, 03 Mar 2017 20:14:42 +0100

xonsh (0.5.6+dfsg-1) unstable; urgency=medium

  * New upstream release 

 -- Gordon Ball <gordon@chronitis.net>  Thu, 23 Feb 2017 19:59:59 +0100

xonsh (0.5.5+dfsg-1) unstable; urgency=medium

  * New upstream release 
  * d/patches/manpage-spelling.patch: Fix misspellings in help and manpage 

 -- Gordon Ball <gordon@chronitis.net>  Sun, 19 Feb 2017 16:46:24 +0100

xonsh (0.5.3+dfsg-2) unstable; urgency=medium

  * Update the short description to match the one used by upstream:
    "Python-powered, cross-platform, Unix-gazing shell"
  * Support the <nodoc> build profile

 -- Gordon Ball <gordon@chronitis.net>  Sat, 04 Feb 2017 17:47:51 +0100

xonsh (0.5.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Re-enable building documentation with cloud-sptheme, and version the
    build-dependency
  * Update docs-no-imgmath.patch to also fix URL and privacy (external font)
    issues, rename to documentation-fixes.patch
  * Remove unnecessary dependency on python3-pkg-resources
  * Backgrounding fixed upstream (closes: #851841)

 -- Gordon Ball <gordon@chronitis.net>  Fri, 03 Feb 2017 21:38:17 +0100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                python3-all,
                python3-docutils,
                python3-jupyter-client,
-               python3-numpydoc,
+               python3-numpydoc <!nodoc>,
                python3-ply,
                python3-setuptools,
-               python3-sphinx,
-               python3-cloud-sptheme (>= 1.8)
+               python3-sphinx <!nodoc>,
+               python3-cloud-sptheme (>= 1.8) <!nodoc>
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/xonsh.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/xonsh.git
 X-Python3-Version: >= 3.4
@@ -30,7 +30,7 @@
             python3-pygments,
             python3-setproctitle,
 Suggests: xonsh-doc,
-Description: Python-ish, BASHwards looking shell
+Description: Python-powered, cross-platform, Unix-gazing shell
  Xonsh is a Python-ish shell language and command prompt. Unlike other shells,
  xonsh is based on Python, with additional syntax added that makes calling
  subprocess commands, manipulating the environment, and dealing with the file
@@ -43,7 +43,8 @@
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
 Built-Using: ${sphinxdoc:Built-Using}
-Description: Python-ish, BASHwards looking shell (documentation)
+Build-Profiles: <!nodoc>
+Description: Python-powered, cross-platform, Unix-gazing shell (documentation)
  Xonsh is a Python-ish shell language and command prompt. Unlike other shells,
  xonsh is based on Python, with additional syntax added that makes calling
  subprocess commands, manipulating the environment, and dealing with the file

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,11 @@
 	rm -f xonsh/lexer_table.py xonsh/parser_table.py
 	find . -name '*.pyc' -delete
 
-override_dh_auto_build:
-	dh_auto_build
-	LC_ALL=C.UTF-8 PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	LC_ALL=C.UTF-8 PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ debian/xonsh-doc/usr/share/doc/xonsh-doc/html
+	dh_sphinxdoc -O--buildsystem=pybuild
+endif
 
 override_dh_auto_install:
 	dh_auto_install

## xonsh 0.5.10+dfsg

=== debian/changelog ===
xonsh (0.5.10+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Gordon Ball <gordon@chronitis.net>  Thu, 25 May 2017 23:25:18 +0200

## xonsh 0.5.12+dfsg

=== debian/changelog ===
xonsh (0.5.12+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update to standards-version 4.0.0
  * Update years and use https URL in d/copyright
  * Set C.UTF-8 for the entire build instead of just the documentation

 -- Gordon Ball <gordon@chronitis.net>  Fri, 23 Jun 2017 11:05:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xonsh
 Section: shells
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Maintainer: Gordon Ball <gordon@chronitis.net>
 Uploaders: Barry Warsaw <barry@debian.org>,
 Build-Depends: debhelper (>= 10),

## xonsh 0.6.0+dfsg

=== debian/changelog ===
xonsh (0.6.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update to standards-version 4.1.1
  * Retire manpage-spelling.patch; fixed upstream

 -- Gordon Ball <gordon@chronitis.net>  Sat, 25 Nov 2017 15:20:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xonsh
 Section: shells
 Priority: optional
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Maintainer: Gordon Ball <gordon@chronitis.net>
 Uploaders: Barry Warsaw <barry@debian.org>,
 Build-Depends: debhelper (>= 10),

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #! /usr/bin/make -f
+
+export LC_ALL=C.UTF-8
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -13,7 +15,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	LC_ALL=C.UTF-8 PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ debian/xonsh-doc/usr/share/doc/xonsh-doc/html
+	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ debian/xonsh-doc/usr/share/doc/xonsh-doc/html
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif

## xonsh 0.6.1+dfsg

=== debian/changelog ===
xonsh (0.6.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update to standards-version 4.1.4

 -- Gordon Ball <gordon@chronitis.net>  Sun, 22 Apr 2018 11:35:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xonsh
 Section: shells
 Priority: optional
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Maintainer: Gordon Ball <gordon@chronitis.net>
 Uploaders: Barry Warsaw <barry@debian.org>,
 Build-Depends: debhelper (>= 10),

## xonsh 0.6.8+dfsg

=== debian/changelog ===
xonsh (0.6.8+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update to standards-version 4.1.5

 -- Gordon Ball <gordon@chronitis.net>  Fri, 06 Jul 2018 11:01:59 +0000

xonsh (0.6.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Move packaging repository to salsa (and DPMT), and update VCS URLs
  * Add DPMT team as maintainer, move existing maintainers to uploaders
  * Update to debhelper compat 11
  * Remove X-Python3-Version >= 3.4 (no longer needed)

 -- Gordon Ball <gordon@chronitis.net>  Sun, 06 May 2018 14:50:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: xonsh
 Section: shells
 Priority: optional
-Standards-Version: 4.1.4
-Maintainer: Gordon Ball <gordon@chronitis.net>
-Uploaders: Barry Warsaw <barry@debian.org>,
-Build-Depends: debhelper (>= 10),
+Standards-Version: 4.1.5
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Gordon Ball <gordon@chronitis.net>,
+           Barry Warsaw <barry@debian.org>,
+Build-Depends: debhelper (>= 11~),
                dh-python,
                help2man,
                python3-all,
@@ -15,9 +16,8 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-cloud-sptheme (>= 1.8) <!nodoc>
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/xonsh.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/xonsh.git
-X-Python3-Version: >= 3.4
+Vcs-Git: https://salsa.debian.org/python-team/modules/xonsh.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/xonsh
 Homepage: http://xon.sh/
 
 Package: xonsh

## xonsh 0.7.7+dfsg

=== debian/changelog ===
xonsh (0.7.7+dfsg-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream release
  * Update to standards-version 4.2.1
  * Install upstream's xonsh-cat script to /usr/share/xonsh instead of
    /usr/bin; it shouldn't be needed when cat is available
  * Use https for the homepage link

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

 -- Gordon Ball <gordon@chronitis.net>  Wed, 12 Sep 2018 09:40:02 +0000

## xonsh 0.8.0+dfsg

=== debian/changelog ===
xonsh (0.8.0+dfsg-1) unstable; urgency=medium

  * New upstrem release

 -- Gordon Ball <gordon@chronitis.net>  Thu, 11 Oct 2018 07:56:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xonsh
 Section: shells
 Priority: optional
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>,
            Barry Warsaw <barry@debian.org>,
@@ -18,7 +18,7 @@
                python3-cloud-sptheme (>= 1.8) <!nodoc>
 Vcs-Git: https://salsa.debian.org/python-team/modules/xonsh.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/xonsh
-Homepage: http://xon.sh/
+Homepage: https://xon.sh/
 
 Package: xonsh
 Architecture: all

## xonsh 0.8.2+dfsg

=== debian/changelog ===
xonsh (0.8.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Add git as a dependency for tests, used as an example command in
    several places

 -- Gordon Ball <gordon@chronitis.net>  Fri, 02 Nov 2018 19:52:45 +0000

## xonsh 0.8.8+dfsg

=== debian/changelog ===
xonsh (0.8.8+dfsg-0ubuntu3) disco; urgency=medium

  * Ignore more failing tests.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 29 Jan 2019 00:20:08 +0000

xonsh (0.8.8+dfsg-0ubuntu2) disco; urgency=medium

  * Ignore tests/test_ptk_highlight.py in autopkgtest.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 28 Jan 2019 13:39:50 +0000

xonsh (0.8.8+dfsg-0ubuntu1) disco; urgency=medium

  * New upstream release

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 28 Jan 2019 10:43:34 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: shells
 Priority: optional
 Standards-Version: 4.2.1
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>,
            Barry Warsaw <barry@debian.org>,
 Build-Depends: debhelper (>= 11~),

## xonsh 0.8.10+dfsg

=== debian/changelog ===
xonsh (0.8.10+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Gordon Ball <gordon@chronitis.net>  Wed, 13 Feb 2019 20:31:36 +0000

xonsh (0.8.8+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update to Standards-Version 4.3.0
  * Set Rules-Requires-Root: no

 -- Gordon Ball <gordon@chronitis.net>  Thu, 31 Jan 2019 16:41:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: xonsh
 Section: shells
 Priority: optional
-Standards-Version: 4.2.1
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Standards-Version: 4.3.0
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>,
            Barry Warsaw <barry@debian.org>,
 Build-Depends: debhelper (>= 11~),
@@ -20,6 +19,7 @@
 Vcs-Git: https://salsa.debian.org/python-team/modules/xonsh.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/xonsh
 Homepage: https://xon.sh/
+Rules-Requires-Root: no
 
 Package: xonsh
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ debian/xonsh-doc/usr/share/doc/xonsh-doc/html
+	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ debian/xonsh-doc/usr/share/doc/xonsh-doc/html
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif
 
@@ -26,3 +26,4 @@
 	         ./debian/tmp/usr/bin/xonsh
 	mkdir -p debian/tmp/usr/share/xonsh/
 	mv debian/tmp/usr/bin/xon.sh debian/tmp/usr/share/xonsh/
+	mv debian/tmp/usr/bin/xonsh-cat debian/tmp/usr/share/xonsh/

## xonsh 0.9.8+dfsg

=== debian/changelog ===
xonsh (0.9.8+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.8+dfsg
  * Refresh patches
  * Update to Standards-Version 4.4.0

 -- Gordon Ball <gordon@chronitis.net>  Tue, 09 Jul 2019 19:08:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xonsh
 Section: shells
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>,
            Barry Warsaw <barry@debian.org>,

## xonsh 0.9.11+dfsg

=== debian/changelog ===
xonsh (0.9.11+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Gordon Ball ]
  * New upstream release
  * Refresh patches
  * Upgrade to debhelper compat level 12

 -- Gordon Ball <gordon@chronitis.net>  Wed, 25 Sep 2019 21:03:51 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>,
            Barry Warsaw <barry@debian.org>,
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                help2man,
                python3-all,

## xonsh 0.9.13%2Bdfsg

=== debian/changelog ===
xonsh (0.9.13+dfsg-2) unstable; urgency=medium

  * Backport upstream PR xonsh#3384 for python3.8 support (closes: #950212)
  * Update to Standards-Version 4.5.0

 -- Gordon Ball <gordon@chronitis.net>  Fri, 31 Jan 2020 12:21:28 +0000

xonsh (0.9.13+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.13+dfsg
  * Update to Standards-Version 4.4.1

 -- Gordon Ball <gordon@chronitis.net>  Fri, 01 Nov 2019 20:58:21 +0000

## xonsh 0.9.13+dfsg

=== docs/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
 DOCREPONAME = xonsh-docs
-DOCREPOURL  = git@github.com:scopatz/xonsh-docs.git
+DOCREPOURL  = git@github.com:xonsh/xonsh-docs.git
 DOCREPOBRANCH = gh-pages
 
 .PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xonsh
 Section: shells
 Priority: optional
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>,
            Barry Warsaw <barry@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -27,3 +27,8 @@
 	mkdir -p debian/tmp/usr/share/xonsh/
 	mv debian/tmp/usr/bin/xon.sh debian/tmp/usr/share/xonsh/
 	mv debian/tmp/usr/bin/xonsh-cat debian/tmp/usr/share/xonsh/
+	# fixup required while there are two supported versions of python
+	# the parser_table gets generated for each, and there isn't a good
+	# mechanism to namespace the two different versions; delete the non-default
+	# version (unfortunately requiring a fresh upload after python3-defaults changes)
+	find debian/tmp -name parser_table.py | tail -n +2 | xargs -r rm

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-pytest, python3-prompt-toolkit, python3-pygments, git
Restrictions: allow-stderr

Tests: xonsh
Depends: @

## xonsh 0.9.17+dfsg

=== debian/changelog ===
xonsh (0.9.17+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.17+dfsg
  * Patch out runthis sphinx extension in documentation

 -- Gordon Ball <gordon@chronitis.net>  Fri, 24 Apr 2020 19:14:16 +0000

xonsh (0.9.15+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.15+dfsg

 -- Gordon Ball <gordon@chronitis.net>  Fri, 20 Mar 2020 07:44:27 +0000

xonsh (0.9.14+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.14+dfsg
  * Drop backport of xonsh#3384 (from this upstream version)
  * Exclude the new xonsh webconfig tool, added in this version: unfortunately
    this requires elm to build, which is not available in main. For now the
    config banner will still refer to the old CLI wizard.

 -- Gordon Ball <gordon@chronitis.net>  Mon, 02 Mar 2020 20:16:27 +0000

## xonsh 0.9.18+dfsg

=== debian/changelog ===
xonsh (0.9.18+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.18+dfsg
  * Depend upon prompt-toolkit >= 2. This version drops support for
    prompt-toolkit 1.

 -- Gordon Ball <gordon@chronitis.net>  Wed, 06 May 2020 19:39:44 +0000

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
          python3-venv,
          ${misc:Depends},
          ${python3:Depends},
-Recommends: python3-prompt-toolkit (>= 1.0),
+Recommends: python3-prompt-toolkit (>= 2.0),
             python3-pygments,
             python3-setproctitle,
 Suggests: xonsh-doc,

## xonsh 0.9.19+dfsg

=== debian/changelog ===
xonsh (0.9.19+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.19+dfsg
  * Patch upstream changes removing support for pytest < 5

 -- Gordon Ball <gordon@chronitis.net>  Mon, 10 Aug 2020 19:02:26 +0000

## xonsh 0.9.24+dfsg

=== debian/changelog ===
xonsh (0.9.24+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.24+dfsg
  * Rebase patches

 -- Gordon Ball <gordon@chronitis.net>  Sat, 24 Oct 2020 19:21:18 +0000

xonsh (0.9.23+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.23+dfsg
  * Refresh patches
  * Drop retired uploader barry@debian.org. Thank you for your contributions!
    (Closes: #970189)
  * Install jupyter kernel in d/rules, since setup.py no longer automates it
  * Update versioned dependency on prompt-toolkit to 3.0.7 (Closes: #972121)

 -- Gordon Ball <gordon@chronitis.net>  Thu, 15 Oct 2020 10:31:23 +0000

xonsh (0.9.22+dfsg-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream version 0.9.22+dfsg
  * Drop unnecessary dependency on python3-venv (Closes: #970807)

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Gordon Ball <gordon@chronitis.net>  Thu, 24 Sep 2020 18:46:48 +0000

xonsh (0.9.20+dfsg-1) unstable; urgency=medium

  * Exclude xonsh/vended_ptk in preparation for 0.9.20
  * New upstream version 0.9.20+dfsg
  * Refresh patches, patch references to vendored prompt-toolkit

 -- Gordon Ball <gordon@chronitis.net>  Mon, 31 Aug 2020 15:30:12 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: shells
 Priority: optional
 Standards-Version: 4.5.0
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Gordon Ball <gordon@chronitis.net>,
-           Barry Warsaw <barry@debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Gordon Ball <gordon@chronitis.net>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                help2man,
@@ -16,18 +15,17 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-cloud-sptheme (>= 1.8) <!nodoc>
-Vcs-Git: https://salsa.debian.org/python-team/modules/xonsh.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/xonsh
+Vcs-Git: https://salsa.debian.org/python-team/packages/xonsh.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/xonsh
 Homepage: https://xon.sh/
 Rules-Requires-Root: no
 
 Package: xonsh
 Architecture: all
 Depends: python3-ply,
-         python3-venv,
          ${misc:Depends},
          ${python3:Depends},
-Recommends: python3-prompt-toolkit (>= 2.0),
+Recommends: python3-prompt-toolkit (>= 3.0.7~),
             python3-pygments,
             python3-setproctitle,
 Suggests: xonsh-doc,

=== debian/rules ===
--- 
+++ 
@@ -32,3 +32,6 @@
 	# mechanism to namespace the two different versions; delete the non-default
 	# version (unfortunately requiring a fresh upload after python3-defaults changes)
 	find debian/tmp -name parser_table.py | tail -n +2 | xargs -r rm
+	# install the jupyter kernel (no longer automatically handled by setup.py)
+	mkdir -p debian/tmp/usr/share/jupyter/kernels/xonsh
+	echo '{"argv": ["/usr/bin/python3", "-m", "xonsh.jupyter_kernel", "-f", "{connection_file}"], "display_name": "Xonsh", "language": "xonsh", "codemirror_mode": "shell"}' > debian/tmp/usr/share/jupyter/kernels/xonsh/kernel.json

## xonsh 0.9.25%2Bdfsg

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	* xonsh/ply: Pull down most recent ply
 	""")
 
+.PHONY: xonsh/ply
 xonsh/ply:
 	git subtree pull --prefix xonsh/ply https://github.com/dabeaz/ply.git master --squash

## xonsh 0.9.25+dfsg

=== docs/Makefile ===
--- 
+++ 
@@ -128,3 +128,7 @@
 	git commit -am "Pushed root-level docs at $(date)" && \
 	git push
 
+serve:
+	# run as `make serve`
+	# to not watch file changes, run as `make serve watch=no`
+	python serve_docs.py $(watch)

=== debian/changelog ===
xonsh (0.9.25+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.25+dfsg
  * d/control: debhelper compat 13
  * d/control: add python3-pyperclip to suggests
  * Patch import error in test_pipelines
  * Patch missing upstream changelog for 0.9.25

 -- Gordon Ball <gordon@chronitis.net>  Mon, 01 Feb 2021 19:17:39 +0000

xonsh (0.9.24+dfsg-4) unstable; urgency=medium

  * Version pytest dependency for autopkgtest

 -- Gordon Ball <gordon@chronitis.net>  Sun, 17 Jan 2021 23:10:46 +0000

xonsh (0.9.24+dfsg-3) unstable; urgency=medium

  * Drop patch pytest-4-support now pytest 6 is available (Closes: #979291)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 05 Jan 2021 19:22:47 +0000

xonsh (0.9.24+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + xonsh-doc: Add Multi-Arch: foreign.

  [ Gordon Ball ]
  * Build for, and depend upon, only the current python3 version, since the
    generated parser table is version-specific.
  * Temporarily drop test_parser on python3.9, since the xonsh parser is still
    tested against python3.8

 -- Gordon Ball <gordon@chronitis.net>  Fri, 20 Nov 2020 16:37:22 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Standards-Version: 4.5.0
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                help2man,
-               python3-all,
+               python3,
                python3-docutils,
                python3-jupyter-client,
                python3-numpydoc <!nodoc>,
@@ -29,6 +29,7 @@
             python3-pygments,
             python3-setproctitle,
 Suggests: xonsh-doc,
+          python3-pyperclip,
 Description: Python-powered, cross-platform, Unix-gazing shell
  Xonsh is a Python-ish shell language and command prompt. Unlike other shells,
  xonsh is based on Python, with additional syntax added that makes calling
@@ -43,6 +44,7 @@
          ${sphinxdoc:Depends},
 Built-Using: ${sphinxdoc:Built-Using}
 Build-Profiles: <!nodoc>
+Multi-Arch: foreign
 Description: Python-powered, cross-platform, Unix-gazing shell (documentation)
  Xonsh is a Python-ish shell language and command prompt. Unlike other shells,
  xonsh is based on Python, with additional syntax added that makes calling

=== debian/rules ===
--- 
+++ 
@@ -27,11 +27,6 @@
 	mkdir -p debian/tmp/usr/share/xonsh/
 	mv debian/tmp/usr/bin/xon.sh debian/tmp/usr/share/xonsh/
 	mv debian/tmp/usr/bin/xonsh-cat debian/tmp/usr/share/xonsh/
-	# fixup required while there are two supported versions of python
-	# the parser_table gets generated for each, and there isn't a good
-	# mechanism to namespace the two different versions; delete the non-default
-	# version (unfortunately requiring a fresh upload after python3-defaults changes)
-	find debian/tmp -name parser_table.py | tail -n +2 | xargs -r rm
 	# install the jupyter kernel (no longer automatically handled by setup.py)
 	mkdir -p debian/tmp/usr/share/jupyter/kernels/xonsh
 	echo '{"argv": ["/usr/bin/python3", "-m", "xonsh.jupyter_kernel", "-f", "{connection_file}"], "display_name": "Xonsh", "language": "xonsh", "codemirror_mode": "shell"}' > debian/tmp/usr/share/jupyter/kernels/xonsh/kernel.json

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-pytest (>= 6), python3-prompt-toolkit, python3-pygments, git
Restrictions: allow-stderr

Tests: xonsh
Depends: @

## xonsh 0.10.1+dfsg

=== debian/changelog ===
xonsh (0.10.1+dfsg-1) unstable; urgency=medium

  * d/watch: new github tarball URL
  * New upstream version 0.10.1+dfsg
  * Rebase patches, drop vendored ptk and 0.9.25 changlog patches
  * Update test dependencies, exclusions
  * d/copyright: remove vended_ptk from files-excluded; no longer included
    upstream

 -- Gordon Ball <gordon@chronitis.net>  Mon, 16 Aug 2021 17:42:34 +0000

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-pytest (>= 6), python3-prompt-toolkit, python3-pygments, git, bash
Restrictions: allow-stderr

Tests: xonsh
Depends: @

## xonsh 0.11.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -12,13 +12,7 @@
 	Utility file for xonsh project. Try these targets:
 	* amalgamate: Generate __amalgam__.py files
 	* clean: Remove generated files (namely, the amalgamations)
-	* xonsh/ply: Pull down most recent ply
 	""")
-
-.PHONY: xonsh/ply
-xonsh/ply:
-	git subtree pull --prefix xonsh/ply https://github.com/dabeaz/ply.git master --squash
-
 
 .PHONY: clean
 clean:

=== debian/changelog ===
xonsh (0.11.0+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster

  [ Gordon Ball ]
  * New upstream version 0.11.0+dfsg
  * Backport #4559 to fix errors building documentation
  * Add test-depends on python3-pyte, python3-pytest-mock
  * Skip tests marked flaky upstream

 -- Gordon Ball <gordon@chronitis.net>  Tue, 23 Nov 2021 19:28:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xonsh
 Section: shells
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>
 Build-Depends: debhelper-compat (= 13),
@@ -14,7 +14,7 @@
                python3-ply,
                python3-setuptools,
                python3-sphinx <!nodoc>,
-               python3-cloud-sptheme (>= 1.8) <!nodoc>
+               python3-cloud-sptheme <!nodoc>
 Vcs-Git: https://salsa.debian.org/python-team/packages/xonsh.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/xonsh
 Homepage: https://xon.sh/

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-pytest (>= 6), python3-pytest-mock, python3-prompt-toolkit, python3-pygments, python3-pyte, git, bash
Restrictions: allow-stderr

Tests: xonsh
Depends: @
